Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile.saml2
Class AbstractSAML2ProfileHandler.SAML2AuditLogEntry

    java.lang.Object
      edu.internet2.middleware.shibboleth.common.log.AuditLogEntry
          edu.internet2.middleware.shibboleth.idp.profile.saml2.AbstractSAML2ProfileHandler.SAML2AuditLogEntry

Enclosing class:
  AbstractSAML2ProfileHandler

    protected class AbstractSAML2ProfileHandler.SAML2AuditLogEntry

extends edu.internet2.middleware.shibboleth.common.log.AuditLogEntry

SAML 1 specific audit log entry.

Field Summary

Fields inherited from class edu.internet2.middleware.shibboleth.common.log.AuditLogEntry
`AUDIT_LOGGER_NAME`

Constructor Summary
`protected` | `AbstractSAML2ProfileHandler.SAML2AuditLogEntry()`

Method Summary
`org.opensaml.saml2.core.StatusResponseType` | `getSAMLResponse()` Gets the response to the SAML request.
`org.opensaml.saml2.core.NameID` | `getUnencryptedNameId()` Gets the unencrypted NameID for the SAML response.
`void` | `setSAMLResponse(org.opensaml.saml2.core.StatusResponseType response)` Sets the response to the SAML request.
`void` | `setUnencryptedNameId(org.opensaml.saml2.core.NameID id)` Sets the unencrypted NameID for the SAML response.
`String` | `toString()`

Methods inherited from class edu.internet2.middleware.shibboleth.common.log.AuditLogEntry
`getAssertingPartyId, getAuditEventTime, getMessageProfile, getPrincipalAuthenticationMethod, getPrincipalName, getReleasedAttributes, getRelyingPartyId, getRequestBinding, getRequestId, getResponseBinding, getResponseId, setAssertingPartyId, setMessageProfile, setPrincipalAuthenticationMethod, setPrincipalName, setRelyingPartyId, setRequestBinding, setRequestId, setResponseBinding, setResponseId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractSAML2ProfileHandler.SAML2AuditLogEntry

    protected AbstractSAML2ProfileHandler.SAML2AuditLogEntry()

Method Detail

### getSAMLResponse

    public org.opensaml.saml2.core.StatusResponseType getSAMLResponse()

  Gets the response to the SAML request.

  Returns:
    the response to the SAML request

### setSAMLResponse

    public void setSAMLResponse(org.opensaml.saml2.core.StatusResponseType response)

  Sets the response to the SAML request.

  Parameters:
    `response` - the response to the SAML request

### getUnencryptedNameId

    public org.opensaml.saml2.core.NameID getUnencryptedNameId()

  Gets the unencrypted NameID for the SAML response.

  Returns:
    unencrypted NameID for the SAML response

### setUnencryptedNameId

    public void setUnencryptedNameId(org.opensaml.saml2.core.NameID id)

  Sets the unencrypted NameID for the SAML response.

  Parameters:
    `id` - unencrypted NameID for the SAML response

### toString

    public String toString()

  Overrides:
    `toString` in class `edu.internet2.middleware.shibboleth.common.log.AuditLogEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2009 Internet2. All Rights Reserved.